diff -Nurp '--exclude=.bzr*' tin-2.6.4/src/lang.c tin-2.6.5/src/lang.c
--- tin-2.6.4/src/lang.c	2024-12-21 15:19:00.000000000 +0100
+++ tin-2.6.5/src/lang.c	2025-12-16 20:13:10.743794876 +0100
@@ -3,10 +3,10 @@
  *  Module    : lang.c
  *  Author    : I. Lea
  *  Created   : 1991-04-01
- *  Updated   : 2024-12-21
+ *  Updated   : 2025-12-16
  *  Notes     :
  *
- * Copyright (c) 1991-2025 Iain Lea <iain@bricbrac.de>
+ * Copyright (c) 1991-2026 Iain Lea <iain@bricbrac.de>
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
@@ -45,13 +45,10 @@
 #	include "tnntps.h"
 #endif /* !TNNTPS_H */
 
-constext txt_1_resp[] = N_("1 Response");
-
 constext txt_active_file_is_empty[] = N_("\n%s contains no newsgroups. Exiting.");
 #if defined(NNTP_ABLE) && defined(HAVE_SELECT)
 	constext txt_abort_reading[] = N_("Aborting read, please wait...");
 #endif /* NNTP_ABLE && HAVE_SELECT */
-constext txt_all[] = N_("all");
 constext txt_all_groups[] = N_("All groups");
 constext txt_append_overwrite_quit[] = N_("File %s exists. %s=append, %s=overwrite, %s=quit: ");
 constext txt_art_cancel[] = N_("Article cancelled (deleted).");
@@ -60,7 +57,7 @@ constext txt_art_cancel[] = N_("Article
 #endif /* !FORGERY */
 constext txt_art_deleted[] = N_("Article deleted.");
 constext txt_art_mailgroups[] = N_("\nYour article:\n  \"%s\"\nwill be mailed to the following address:\n  %s");
-constext txt_art_newsgroups[] = N_("\nYour article:\n  \"%s\"\nwill be posted to the following %s:\n");
+constext *txt_art_newsgroup_sp[] = PN_("\nYour article:\n  \"%s\"\nwill be posted to the following newsgroup:\n", "\nYour article:\n  \"%s\"\nwill be posted to the following newsgroups:\n");
 constext txt_art_not_posted[] = N_("Article not posted!");
 constext txt_art_not_saved[] = N_("Article not saved");
 constext txt_art_pager_com[] = N_("Article Level Commands");
@@ -75,42 +72,19 @@ constext txt_art_undeleted[] = N_("Artic
 constext txt_art_x_of_n[] = N_("Article %4d of %4d");
 constext txt_article_cancelled[] = "Article cancelled by author.\n";
 constext txt_article_info_page[] = N_("Article Info Page");
-constext txt_article_plural[] = N_("articles");
 constext txt_article_reposted[] = N_("This is a repost of the following article:");
-constext txt_article_singular[] = N_("article");
-constext txt_article_upper[] = N_("Article");
-constext txt_articles_mailed[] = N_("-- %d %s mailed --");
+constext *txt_article_sp[] = PN_("article", "articles");
+constext *txt_article_mailed_sp[] = PN_("-- %d article mailed --", "-- %d articles mailed --");
 constext txt_at_s[] = N_(" at %s");
-constext txt_mime_boundary[] = "--%s\n";
-constext txt_mime_boundary_end[] = "--%s--\n";
-constext txt_mime_charset[] = N_("charset %s");
-constext txt_mime_content_subtype[] = N_("content subtype %s");
-constext txt_mime_content_type[] = N_("content type %s");
-constext txt_mime_unsup_charset[] = N_("%*s[-- charset %s not supported --]\n");
-constext txt_mime_description[] = N_("%*s[-- Description: %s --]\n");
-constext txt_mime_encoding[] = N_("encoding %s");
-constext txt_mime_hdr_c_disposition[] = "Content-Disposition: %s\n";
-constext txt_mime_hdr_c_transfer_encoding[] = "Content-Transfer-Encoding: %s\n";
-constext txt_mime_hdr_c_type_msg_rfc822[] = "Content-Type: message/rfc822\n";
-constext txt_mime_hdr_c_type_multipart_mixed[] = "Content-Type: multipart/mixed; boundary=\"%s\"\n";
-constext txt_mime_hdr_c_type_text_plain_charset[] = "Content-Type: text/plain; charset=%s\n";
-constext txt_mime_lang[] = N_("lang %s");
-constext txt_mime_lines[] = N_("%s lines");
-constext txt_mime_name[] = N_("name %s");
-constext txt_mime_sep[] = N_(", ");
-constext txt_mime_size[] = N_("size %s");
-constext txt_mime_preamble_multipart_mixed[] = N_("This message has been composed in the 'multipart/mixed' MIME-format. If you\n\
-are reading this prefix, your mail reader probably has not yet been modified\n\
-to understand the new format, and some of what follows may look strange.\n\n");
-constext txt_mime_version[] = "MIME-Version: %s\n";
 constext txt_attachment_menu[] = N_("Attachment Menu");
 constext txt_attachment_menu_com[] = N_("Attachment Menu Commands");
 constext txt_attachment_no_name[] = N_("<no name>");
 constext txt_attachment_saved[] = N_("Attachment saved successfully. (%s)");
-constext txt_attachments_saved[] = N_("%d of %d attachments saved successfully.");
+/* TRANSLATORS: for nplurals>=3 */
+constext *txt_attachment_saved_sp[] = PN_("%d of %d attachment saved successfully.", "%d of %d attachments saved successfully.");
 constext txt_attachment_select[] = N_("Select attachment> ");
 constext txt_attachment_tagged[] = N_("Tagged attachment");
-constext txt_attachments_tagged[] = N_("%d attachments tagged");
+constext *txt_attachment_tagged_sp[] = PN_("%d attachment tagged", "%d attachments tagged");
 constext txt_attachment_untagged[] = N_("Untagged attachment");
 /* do NOT localize the next string! */
 constext txt_attrib_file_version[] = "# Group attributes file V%s for the TIN newsreader\n";
@@ -131,8 +105,15 @@ constext txt_attrib_file_editor_fmt[] =
 constext txt_attrib_file_fcc[] = N_("#  fcc=STRING (eg. =mailbox)\n");
 constext txt_attrib_file_followup_to[] = N_("#  followup_to=STRING\n");
 constext txt_attrib_file_from[] = N_("#  from=STRING (just append wanted From:-line, don't use quotes)\n");
+constext txt_attrib_file_getart_limit[] = N_("#  getart_limit=NUM\n");
 constext txt_attrib_file_grp_catchup[] = N_("#  group_catchup_on_exit=ON/OFF\n");
 constext txt_attrib_file_grp_fmt[] = N_("#  group_format=STRING (eg. %n %m %R %L  %s  %F)\n");
+constext txt_attrib_file_hide_inline_data[] = N_("#  hide_inline_data=NUM (any combination is allowed)\n");
+constext txt_attrib_file_hide_inline_data_0[] = N_("#    0 = Display raw data\n");
+constext txt_attrib_file_hide_inline_data_1[] = N_("#    1 = uuencoded and yenc data will be condensed to a single tag line showing\n#        size and filename, similar to how MIME attachments are displayed\n");
+constext txt_attrib_file_hide_inline_data_2[] = N_("#    2 = Also hide partial, as for 1, but any line that looks like uuencoded\n#        or yenc data will be folded into a tag line.\n");
+constext txt_attrib_file_hide_inline_data_4[] = N_("#    4 = Hide Inline PGP\n");
+constext txt_attrib_file_hide_inline_data_8[] = N_("#    8 = Hide Shar\n");
 constext txt_attrib_file_mail_8bit_hdr[] = N_("#  mail_8bit_header=ON/OFF\n");
 constext txt_attrib_file_mail_mime_enc[] = N_("#  mail_mime_encoding=supported_encoding");
 #ifdef HAVE_ISPELL
@@ -164,20 +145,20 @@ constext txt_attrib_file_quick_kill_scop
 constext txt_attrib_file_quick_kill_expire[] = N_("#  quick_kill_expire=ON/OFF\n");
 constext txt_attrib_file_quick_kill_case[] = N_("#  quick_kill_case=ON/OFF\n");
 constext txt_attrib_file_quick_kill_hdr[] = N_("#  quick_kill_header=NUM\n");
-constext txt_attrib_file_quick_kill_hdr_0_1[] = N_("#    0=Subject: (case sensitive)  1=Subject: (ignore case)\n");
-constext txt_attrib_file_quick_kill_hdr_2_3[] = N_("#    2=From: (case sensitive)     3=From: (ignore case)\n");
-constext txt_attrib_file_quick_kill_hdr_4[] = N_("#    4=Message-ID: & full References: line\n");
-constext txt_attrib_file_quick_kill_hdr_5[] = N_("#    5=Message-ID: & last References: entry only\n");
-constext txt_attrib_file_quick_kill_hdr_6[] = N_("#    6=Message-ID: entry only     7=Lines:\n");
+/* TRANSLATORS: do not translate header names like 'Subject:' */
+constext txt_attrib_file_quick_ks_hdr_0_1[] = N_("#    0=Subject: (case sensitive)  1=Subject: (ignore case)\n");
+/* TRANSLATORS: do not translate header names like 'From:' */
+constext txt_attrib_file_quick_ks_hdr_2_3[] = N_("#    2=From: (case sensitive)     3=From: (ignore case)\n");
+/* TRANSLATORS: do not translate header names like 'Message-ID:' or 'References:' */
+constext txt_attrib_file_quick_ks_hdr_4[] = N_("#    4=Message-ID: & full References: line\n");
+/* TRANSLATORS: do not translate header names like 'Message-ID:' or 'References:' */
+constext txt_attrib_file_quick_ks_hdr_5[] = N_("#    5=Message-ID: & last References: entry only\n");
+/* TRANSLATORS: do not translate header names like 'Message-ID:' or 'Lines:' */
+constext txt_attrib_file_quick_ks_hdr_6[] = N_("#    6=Message-ID: entry only     7=Lines:\n");
 constext txt_attrib_file_quick_select_scope[] = N_("#  quick_select_scope=STRING\n");
 constext txt_attrib_file_quick_select_expire[] = N_("#  quick_select_expire=ON/OFF\n");
 constext txt_attrib_file_quick_select_case[] = N_("#  quick_select_case=ON/OFF\n");
 constext txt_attrib_file_quick_select_hdr[] = N_("#  quick_select_header=NUM\n");
-constext txt_attrib_file_quick_select_hdr_0_1[] = N_("#    0=Subject: (case sensitive)  1=Subject: (ignore case)\n");
-constext txt_attrib_file_quick_select_hdr_2_3[] = N_("#    2=From: (case sensitive)     3=From: (ignore case)\n");
-constext txt_attrib_file_quick_select_hdr_4[] = N_("#    4=Message-ID: & full References: line\n");
-constext txt_attrib_file_quick_select_hdr_5[] = N_("#    5=Message-ID: & last References: entry only\n");
-constext txt_attrib_file_quick_select_hdr_6[] = N_("#    6=Message-ID: entry only     7=Lines:\n");
 constext txt_attrib_file_quote_chars[] = N_("#  quote_chars=STRING (%I for initials)\n");
 #ifndef DISABLE_PRINTING
 	constext txt_attrib_file_print_hdr[] = N_("#  print_header=ON/OFF\n");
@@ -212,7 +193,11 @@ constext txt_attrib_file_trim_art_body_4
 constext txt_attrib_file_trim_art_body_5[] = N_("#    5 = Compact multiple blank lines between text blocks and skip\n#        leading blank lines\n");
 constext txt_attrib_file_trim_art_body_6[] = N_("#    6 = Compact multiple blank lines between text blocks and skip\n#        trailing blank lines\n");
 constext txt_attrib_file_trim_art_body_7[] = N_("#    7 = Compact multiple blank lines between text blocks and skip\n#        leading and trailing blank lines\n");
-constext txt_attrib_file_verbatim_handling[] = N_("#  verbatim_handling=ON/OFF\n");
+constext txt_attrib_file_verbatim_handling[] = N_("#  verbatim_handling=NUM\n");
+constext txt_attrib_file_verbatim_handling_0[] = N_("#    0 = Don't detect verbatim blocks\n");
+constext txt_attrib_file_verbatim_handling_1[] = N_("#    1 = Detect and show verbatim blocks\n");
+constext txt_attrib_file_verbatim_handling_2[] = N_("#    2 = Detect and show verbatim blocks, hide begin and end marks\n");
+constext txt_attrib_file_verbatim_handling_3[] = N_("#    3 = Detect verbatim blocks and hide them\n");
 #ifdef HAVE_COLOR
 	constext txt_attrib_file_extquote_handling[] = N_("#  extquote_handling=ON/OFF\n");
 #endif /* HAVE_COLOR */
@@ -244,10 +229,11 @@ constext txt_autoselecting_articles[] =
 constext txt_bad_article[] = N_("Article to be posted resulted in errors/warnings. %s=quit, %s=Menu, %s=edit: ");
 #ifdef DEBUG
 	constext txt_bad_attrib[] = N_("Unrecognized attribute: %s");
+	constext txt_bad_global_attrib[] = N_("Unrecognized global attribute: %s");
 #endif /* DEBUG */
 constext txt_bad_command[] = N_("Bad command. Type '%s' for help.");
-constext txt_base_article[] = N_("Base article");
-constext txt_base_article_range[] = N_("Base article range");
+constext txt_base_article_marked_read[] = N_("Marked base article as read");
+constext txt_base_article_range_marked_read[] = N_("Marked base article range as read");
 constext txt_batch_update_unavail[] = N_("%s: Updating of index files not supported: cache_overview_files=%s");
 constext txt_begin_of_art[] = N_("*** Beginning of article ***");
 constext txt_begin_of_page[] = N_("*** Beginning of page ***");
@@ -269,12 +255,15 @@ constext txt_cannot_post_group[] = N_("P
 #endif /* NNTP_ABLE */
 constext txt_cannot_supersede_mailgroups[] = N_("Can't supersede in mailgroups, try repost instead.");
 constext txt_cannot_write_to_directory[] = N_("%s is a directory");
-constext txt_catchup[] = N_("Catchup");
 constext txt_catchup_group[] = N_("Catchup %s...");
 constext txt_catchup_all_read_groups[] = N_("Catchup all groups entered during this session?");
-constext txt_catchup_despite_tags[] = N_("You have tagged articles in this group - catchup anyway?");
-constext txt_catchup_update_info[] = N_("%s %d %s in %lu seconds\n");
-constext txt_caughtup[] = N_("Caughtup");
+constext *txt_catchup_despite_tags_sp[] = PN_("You have a tagged article in this group - catchup anyway?", "You have tagged articles in this group - catchup anyway?");
+constext *txt_catchup_info_sp[] = PN_("Caughtup %d group", "Caughtup %d groups");
+constext *txt_update_info_sp[] = PN_("Updated %d group", "Updated %d groups");
+constext *txt_n_second_sp[] = PN_("%lu second", "%lu seconds");
+/* TRANSLATORS: result in '"Caughtup %d group" in "%lu second"\n' */
+constext txt_catchup_update_info[] = N_("%s in %s\n");
+
 constext txt_check_article[] = N_("Check Prepared Article");
 constext txt_checking_new_groups[] = N_("Checking for new groups... ");
 constext txt_checking_for_news[] = N_("Checking for news...\n");
@@ -284,7 +273,8 @@ constext txt_choose_post_process_type[]
 	constext txt_color_on[] = N_("ANSI color enabled");
 #endif /* HAVE_COLOR */
 constext txt_command_failed[] = N_("Command failed: %s");
-constext txt_copyright_notice[] = "%s (c) Copyright 1991-2025 Iain Lea.";
+constext *txt_cook_lines_hidden_sp[] = PN_("[-- %s, %lu line hidden --]\n", "[-- %s, %lu lines hidden --]\n");
+constext txt_copyright_notice[] = "%s (c) Copyright 1991-2026 Iain Lea.";
 constext txt_confirm_select_on_exit[] = N_("Mark not selected articles read?");
 constext txt_connection_info[] = N_("Connection Info");
 constext txt_conninfo_local_spool[] = N_("Reading from local spool.\n");
@@ -294,11 +284,11 @@ constext txt_conninfo_conf_files[] = N_(
 	constext txt_conninfo_active_file[] = "ACTIVE_FILE       : %s\n";
 	constext txt_conninfo_active_times_file[] = "ACTIVE_TIMES_FILE : %s\n";
 	constext txt_conninfo_newsgroups_file[] = "NEWSGROUPS_FILE   : %s\n";
-	constext txt_conninfo_novrootdir[] = "NOVROOTDIR        : %s\n";
+	constext txt_conninfo_novrootdir[] = "NOVROOTDIR        : %s%s\n";
 	constext txt_conninfo_overview_file[] = "OVERVIEW_FILE     : %s\n";
 	constext txt_conninfo_overview_fmt[] = "OVERVIEW_FMT      : %s\n";
 	constext txt_conninfo_spool_config[] = N_("\nLocal spool config:\n-------------------\n");
-	constext txt_conninfo_spooldir[] = "SPOOLDIR          : %s\n";
+	constext txt_conninfo_spooldir[] = "SPOOLDIR          : %s%s\n";
 	constext txt_conninfo_subscriptions_file[] = "SUBSCRIPTIONS_FILE: %s\n";
 #endif /* !NNTP_ONLY */
 #ifdef NNTP_ABLE
@@ -313,7 +303,7 @@ constext txt_conninfo_conf_files[] = N_(
 #	endif /* USE_ZLIB */
 #	if defined(HAVE_ALARM) && defined(SIGALRM)
 	constext txt_conninfo_disabled[] = N_("(disabled)");
-	constext txt_conninfo_timeout[] = N_("NNTP TIMEOUT  : %d seconds %s\n");
+	constext *txt_conninfo_timeout_sp[] = PN_("NNTP TIMEOUT  : %d second %s\n", "NNTP TIMEOUT  : %d seconds %s\n");
 #	endif /* HAVE_ALARM && SIGALRM */
 	constext txt_conninfo_implementation[] = N_("IMPLEMENTATION: %s\n");
 #	if defined(MAXARTNUM) && defined(USE_LONG_ARTICLE_NUMBERS)
@@ -326,19 +316,18 @@ constext txt_conninfo_conf_files[] = N_(
 	constext txt_conninfo_server[] = N_("NNTPSERVER    : %s\n");
 	constext txt_conninfo_type[] = N_("CONNECTIONTYPE: %s\n");
 #	ifdef NNTPS_ABLE
-	constext txt_conninfo_nntps[] = N_("Reading %s via NNTPS (%s; ");
+	constext txt_conninfo_trusted[] = N_("Reading trusted via NNTPS (%s; ");
+	constext txt_conninfo_untrusted[] = N_("Reading untrusted via NNTPS (%s; ");
 	constext txt_conninfo_cert[] = N_("Certificate #%d\n");
 	constext txt_conninfo_fmt_error[] = "<formatting error>";
 	constext txt_conninfo_issuer[] = N_("Issuer : %s\n");
 	constext txt_conninfo_server_cert_info[] = N_("\nServer certificate information:\n-------------------------------\n");
 	constext txt_conninfo_subject[] = N_("Subject: %s\n");
 	constext txt_conninfo_tls_info[] = N_("\nTLS information:\n----------------\n");
-	constext txt_conninfo_trusted[] = N_("trusted");
-	constext txt_conninfo_untrusted[] = N_("untrusted");
 #		if defined(HAVE_LIB_GNUTLS) || defined(HAVE_LIB_OPENSSL)
 		constext txt_conninfo_error_unexpected[] = N_("UNEXPECTED, possible BUG");
 		constext txt_conninfo_error_tolerated[] = N_("tolerated as \"-k\" (insecure) requested");
-		constext txt_conninfo_verify_failed[] = N_("Server certificate verification FAILED:\n\t%s (%s)\n");
+		constext txt_conninfo_verify_failed[] = N_("Server certificate verification FAILED:\n\t%s\n\t(%s)\n");
 		constext txt_conninfo_verify_successful[] = N_("Server certificate verified successfully.\n");
 #		endif /* HAVE_LIB_GNUTLS || HAVE_LIB_OPENSSL */
 #		ifdef HAVE_LIB_GNUTLS
@@ -380,14 +369,15 @@ constext txt_enter_next_unread_group[] =
 constext txt_enter_option_num[] = N_("Enter option number> ");
 constext txt_enter_range[] = N_("Enter range [%s]> ");
 constext txt_enter_append[] = N_("Error: Could not appended %s to %s");
-constext txt_error_approved[] = N_("\nWarning: Approved: header used.\n");
+constext txt_warn_approved[] = N_("\nWarning: Approved: header used.\n");
 constext txt_error_attrib_too_long[] = N_("  Line %d: \"%s\": given string too long.\n");
-constext txt_error_attrib_malformed[] = N_("  Line %d: \"%s\": unrecognized attribute.\n");
-constext txt_error_attrib_unknown[] = N_("  Line %d: \"%s\": malformed line, '=' missing.\n");
+constext txt_error_attrib_unknown[] = N_("  Line %d: \"%s\": unrecognized attribute.\n");
+constext txt_error_attrib_malformed[] = N_("  Line %d: \"%s\": malformed line, '=' missing.\n");
 #ifndef NDEBUG
 	constext txt_error_asfail[] = "%s: assertion failure: %s (%d): %s\n";
 #endif /* !NDEBUG */
 constext txt_error_bad_address_in[] = N_("\nError: Bad address in \"%s\" header.\n");
+/* TRANSLATORS: do not translate header names like 'Message-ID:' */
 constext txt_error_bad_msgidfqdn[] = N_("\nError: Bad FQDN in Message-ID: header.\n");
 #ifdef NNTPS_ABLE
 	constext txt_error_cant_use_litteral[] = N_("Can't use literal IPv%d-address %s with TLS (-T)");
@@ -405,9 +395,11 @@ constext txt_error_corrupted_file[] = N_
 #ifdef NNTP_ABLE
 	constext txt_error_couldnt_expand[] = N_("couldn't expand %s\n");
 #endif /* NNTP_ABLE */
+constext txt_error_date_future[] = N_("date in future: \"%s\"");
+constext txt_error_date_unparsable[] = N_("Unparsable date: \"%s\"");
 constext txt_error_empty_format_string[] = N_("Error: Custom format empty. Using default \"%s\".");
 constext txt_error_empty_art[] = N_("\nError: Article is empty.\n");
-constext txt_error_fseek[] = "fseek() error on [%s]";
+constext txt_error_fseek[] = "fseek() error";
 constext txt_error_followup_poster[] = N_("\nError: Followup-To \"poster\" and a newsgroup is not allowed!\n");
 constext txt_error_format_string[] = N_("Error: Custom format exceeds screen width. Using default \"%s\".");
 constext txt_error_gnksa_internal[] = N_("Internal error in GNKSA routine - send bug report.\n");
@@ -436,12 +428,12 @@ constext txt_error_gnksa_rn_qtd[] = N_("
 constext txt_error_gnksa_rn_enc[] = N_("Illegal character in realname.\nEncoded words may not contain '!()<>@,;:\"\\.[]/=' in parameter.\n");
 constext txt_error_gnksa_rn_encsyn[] = N_("Bad syntax in encoded word used in realname.\n");
 constext txt_error_gnksa_rn_paren[] = N_("Illegal character in realname.\nUnquoted words may not contain '()<>\\' in old-style addresses.\n");
-constext txt_error_gnksa_rn_invalid[] = N_("Illegal character in realname.\nControl characters and unencoded 8bit characters > 127 are not allowed.\n");
+constext txt_error_gnksa_rn_invalid[] = N_("Illegal character in realname.\nControl characters and unencoded 8-bit characters > 127 are not allowed.\n");
 constext txt_error_gnksa_rn_missing[] = N_("Missing realname.\n");
 constext txt_error_header_and_body_not_separate[] = N_("\nError: No blank line found after header.\n");
 constext txt_error_header_distribution_all[] = N_("\nError: Illegal Distribution \"all\" used.\n");
 constext txt_error_header_format[] = N_("\nError: Illegal formatted %s.\n");
-/* TODO: fixme, US-ASCII is not the only 7bit charset we know about */
+/* TODO: fixme, US-ASCII is not the only 7-bit charset we know about */
 constext txt_error_header_line_bad_charset[] = N_("\n\
 Error: Posting contains non-ASCII characters but MM_CHARSET is set to\n\
        US-ASCII  - please change this setting to a suitable value for\n\
@@ -457,9 +449,10 @@ constext txt_error_header_line_blank[] =
 constext txt_error_header_line_colon[] = N_("\nError: Header on line %d does not have a colon after the header name:\n%s\n");
 constext txt_error_header_line_empty[] = N_("\nError: The \"%s:\" line is empty.\n");
 constext txt_error_header_line_missing[] = N_("\nError: The \"%s:\" line is missing from the article header.\n");
-constext txt_error_header_line_not_7bit[] = N_("\nError: %s contains non 7bit chars.\n");
+constext txt_warning_header_line_not_7bit[] = N_("\nWarning: %s contains non 7-bit chars.\n");
 constext txt_error_header_line_space[] = N_("\nError: Header on line %d does not have a space after the colon:\n%s\n");
-constext txt_error_header_duplicate[] = N_("\nError: There are multiple (%d) \"%s:\" lines in the header.\n");
+/* TRANSLATORS: for nplurals>=3 */
+constext *txt_error_header_duplicate_sp[] = PN_("\nError: There are multiple (%d) \"%s:\" line in the header.\n", "\nError: There are multiple (%d) \"%s:\" lines in the header.\n");
 constext txt_error_header_no_name[] = N_("\nError: Header on line %d has no name:\n%s\n");
 constext txt_error_mailgroup_no_recipient[] = N_("\nError: This is a mailgroup, but a recipient (\"To:\") is missing.\n");
 constext txt_error_mixed_up_opt[] = N_("Mixed up '-f'/'-F'? %s %s");
@@ -467,9 +460,11 @@ constext txt_error_mixed_up_opt[] = N_("
 	constext txt_error_insecure_permissions[] = N_("Insecure permissions of %s (%o)");
 #endif /* !FILE_MODE_BROKEN */
 #ifdef MIME_BREAK_LONG_LINES
-	constext txt_error_should_be_folded[] = N_("Line %d is longer than %d octets and should be folded.\n");
+	/* TRANSLATORS: for nplurals>=3 */
+	constext *txt_error_should_be_folded_sp[] = PN_("Line %d is longer than %d octet and should be folded.\n", "Line %d is longer than %d octets and should be folded.\n");
 #else
-	constext txt_error_should_be_shortened[] = N_("Line %d is longer than %d octets and should be shortened.\n");
+	/* TRANSLATORS: for nplurals>=3 */
+	constext *txt_error_should_be_shortened_sp[] = PN_("Line %d is longer than %d octet and should be shortened.\n", "Line %d is longer than %d octets and should be shortened.\n");
 #endif /* MIME_BREAK_LONG_LINES */
 #if defined(HAVE_SETLOCALE) && !defined(NO_LOCALE)
 	constext txt_error_locale[] = "Can't set the specified locale!";
@@ -478,7 +473,10 @@ constext txt_error_mime_end[] = N_("MIME
 constext txt_error_mime_start[] = N_("MIME parse error: Start boundary whilst reading headers\n");
 constext txt_error_newsgroups_poster[] = N_("\nError: \"poster\" is not allowed in Newsgroups!\n");
 constext txt_error_no_domain_name[] = N_("Can't get a (fully-qualified) domain-name!");
+constext *txt_error_no_valid_newsgroup_sp[] = PN_("No valid newsgroup given.", "No valid newsgroups given.");
+constext txt_error_retry_without_n[] = N_(" You may need to retry without \"-n\".");
 #ifdef NNTP_INEWS
+	/* TRANSLATORS: do not translate header names like 'From:' */
 	constext txt_error_no_from[] = N_("\nError: From: line missing.\n");
 #endif /* NNTP_INEWS */
 #ifdef NNTP_ABLE
@@ -490,10 +488,13 @@ constext txt_error_no_domain_name[] = N_
 		constext txt_error_not_ipv6_literal[] = N_("Not a literal IPv6 address: %s");
 #	endif /* INET6 */
 #endif /* NNTP_ABLE */
+
+constext txt_error_option_missing_argument[] = N_("%s: -%c option requires an argument\n");
+constext txt_error_option_unknown[] = N_("%s: -%c unknown option\n");
+
 constext txt_error_passwd_missing[] = N_("Can't get user information (/etc/passwd missing?)");
 #ifdef HAVE_LIBUU
-	constext txt_error_plural[] = N_("errors");
-	constext txt_error_singular[] = N_("error");
+	constext *txt_error_sp[] = PN_("error", "errors");
 #endif /* HAVE_LIBUU */
 #ifndef FORGERY
 	constext txt_error_sender_in_header_not_allowed[] = N_("\nError on line %d: \"Sender:\" header not allowed (it will be added for you)\n");
@@ -504,6 +505,7 @@ constext txt_error_unknown_dlevel[] = N_
 #ifndef NNTP_ABLE
 	constext txt_error_unreachable[] = N_("Unreachable?\n");
 #endif /* !NNTP_ABLE */
+constext txt_error_uri_normalization[] = N_("URI normalization failed: %s");
 constext txt_esc[] = N_("<ESC>");
 constext txt_exiting[] = N_("Exiting...");
 constext txt_external_mail_done[] = N_("leaving external mail-reader");
@@ -513,6 +515,7 @@ constext txt_filesystem_full[] = N_("Err
 constext txt_filesystem_full_backup[] = N_("Error making backup of %s file. Filesystem full?");
 constext txt_filter_global_rules[] = N_("Filtering global rules (%d/%d) ('q' to quit)...");
 constext txt_filter_rule_created[] = N_("Rule created by: ");
+/* TRANSLATORS: do not translate header names like 'Subject:', 'From:', ... */
 constext txt_filter_file[] = N_("# Format:\n\
 #   comment=STRING    Optional. Multiple lines allowed. Comments must be placed\n\
 #                     at the beginning of a rule, or they will be moved to the\n\
@@ -528,8 +531,8 @@ constext txt_filter_file[] = N_("# Forma
 #                     full references.\n\
 #   msgid_last=STRING Optional. Like above, but with last reference only.\n\
 #   msgid_only=STRING Optional. Like above, but without references.\n\
-#   refs_only=STRING  Optional. References: line (e.g. <123@example.net>) without\n\
-#                     Message-ID:\n\
+#   refs_only=STRING  Optional. References: line (e.g. <123@example.net>)\n\
+#                     without Message-ID:\n\
 #   lines=[<>]?NUM    Optional. Lines: line. '<' or '>' are optional.\n\
 #   gnksa=[<>]?NUM    Optional. GNKSA parse_from() return code. '<' or '>' opt.\n\
 #   xref=PATTERN      Optional. Kill pattern (e.g. alt.flame*)\n\
@@ -550,32 +553,38 @@ constext txt_filter_comment[] = N_("Comm
 #endif /* DEBUG */
 constext txt_filter_text_type[] = N_("Apply pattern to    : ");
 constext txt_feed_pattern[] = N_("Enter pattern [%s]> ");
-constext txt_followup_newsgroups[] = N_("\nYou requested followups to your article to go to the following %s:\n");
-constext txt_followup_poster[] = N_("  %s\t Answers will be directed to you by mail.\n");
+constext *txt_followup_newsgroup_sp[] = PN_("\nYou requested followups to your article to go to the following newsgroup:\n", "\nYou requested followups to your article to go to the following newsgroups:\n");
+constext txt_followup_poster[] = N_("   %s\t Answers will be directed to you by mail.\n");
 constext txt_forwarded[] = N_("-- forwarded message --\n");
 constext txt_forwarded_end[] = N_("-- end of forwarded message --\n");
+/* TRANSLATORS: do not translate header names like 'From:' */
 constext txt_from_line_only[] = N_("From: line (ignore case)      ");
+/* TRANSLATORS: do not translate header names like 'From:' */
 constext txt_from_line_only_case[] = N_("From: line (case sensitive)   ");
 
 #ifdef NNTP_ABLE
 	constext txt_gethostbyname[] = N_("%s%s: Unknown host.\n");
 #endif /* NNTP_ABLE */
-constext txt_global[] = N_("global ");
+constext *txt_group_ancient_arts_marked_read_sp[] = PN_("%d ancient article marked as read.", "%d ancient articles marked as read.");
+constext txt_group_mark_ancient_art_read[] = N_("Mark articles older than the given days or date as read> ");
 constext txt_group_aliased[] = N_("Please use %.100s instead");
 constext txt_group_bogus[] = N_("%s is bogus");
 constext txt_group_is_moderated[] = N_("Group %s is moderated. Continue?");
-constext txt_group_plural[] = N_("groups");
 constext txt_group_rereading[] = N_("Rereading %s...");
 constext txt_group_select_com[] = N_("Top Level Commands");
 constext txt_group_selection[] = N_("Group Selection");
-constext txt_group_singular[] = N_("group");
+constext *txt_group_sp[] = PN_("group", "groups");
 constext txt_grpdesc_disabled[] = N_("*** Group descriptions are disabled according to current select_format ***");
 
 constext txt_help_filter_comment[] = N_("One or more lines of comment. <CR> to add a line or proceed if line is empty.");
+/* TRANSLATORS: do not translate header names like 'From:' */
 constext txt_help_filter_from[] = N_("From: line to add to filter file. <SPACE> toggles & <CR> sets.");
 constext txt_help_filter_lines[] = N_("Linecount of articles to be filtered. < for less, > for more, = for equal.");
+/* TRANSLATORS: do not translate header names like 'Message-ID:' */
 constext txt_help_filter_msgid[] = N_("Message-ID: line to add to filter file. <SPACE> toggles & <CR> sets.");
+/* TRANSLATORS: do not translate header names like 'Subject:' */
 constext txt_help_filter_subj[] = N_("Subject: line to add to filter file. <SPACE> toggles & <CR> sets.");
+/* TRANSLATORS: do not translate header names like 'Subject:' and 'From:' */
 constext txt_help_filter_text[] = N_("Enter text pattern to filter if Subject: & From: lines are not what you want.");
 constext txt_help_filter_text_type[] = N_("Select where text pattern should be applied. <SPACE> toggles & <CR> sets.");
 constext txt_help_filter_time[] = N_("Expiration time in days for the entered filter. <SPACE> toggles & <CR> sets.");
@@ -618,10 +627,11 @@ constext txt_help_article_skip_quote[] =
 constext txt_help_article_toggle_formfeed[] = N_("toggle display of sections hidden by a form-feed (^L) on/off");
 constext txt_help_article_toggle_headers[] = N_("toggle display of all headers");
 constext txt_help_article_toggle_highlight[] = N_("toggle word highlighting on/off");
+constext txt_help_article_toggle_inline_data[] = N_("toggle display of data sections");
 constext txt_help_article_toggle_rot13[] = N_("toggle ROT-13 (basic decode) for current article");
 constext txt_help_article_toggle_tabwidth[] = N_("toggle tabwidth 4 <-> 8");
 constext txt_help_article_toggle_tex2iso[] = N_("toggle German TeX style decoding for current article");
-constext txt_help_article_toggle_uue[] = N_("toggle display of uuencoded sections");
+constext txt_help_article_toggle_verbatim[] = N_("cycle through the options for detecting/displaying verbatim blocks");
 constext txt_help_article_view_attachments[] = N_("View/pipe/save multimedia attachments");
 constext txt_help_attachment_first[] = N_("choose first attachment in list");
 constext txt_help_attachment_goto[] = N_("0 - 9\t  choose attachment by number");
@@ -655,6 +665,7 @@ constext txt_help_config_scope_menu[] =
 constext txt_help_config_search_opt_backwards[] = N_("search backwards for an option");
 constext txt_help_config_search_opt_forwards[] = N_("search forwards for an option");
 constext txt_help_config_select[] = N_("select option");
+constext txt_help_config_serverrc_menu[] = N_("start serverrc menu");
 constext txt_help_config_toggle_attrib[] = N_("toggle to attributes menu");
 constext txt_help_global_article_range[] = N_("choose range of articles to be affected by next command");
 constext txt_help_global_esc[] = N_("escape from command prompt");
@@ -693,6 +704,7 @@ constext txt_help_global_toggle_inverse_
 constext txt_help_global_toggle_mini_help[] = N_("toggle mini help menu and posting etiquette display");
 constext txt_help_global_toggle_subj_display[] = N_("cycle the display of authors email address, real name, both or neither");
 constext txt_help_global_version[] = N_("show version information");
+constext txt_help_mark_ancient_read[] = N_("mark articles older than the given days or date as read");
 constext txt_help_group_catchup[] = N_("mark all articles as read and return to group selection menu");
 constext txt_help_group_catchup_next[] = N_("mark all articles as read and enter next group with unread articles");
 constext txt_help_group_first_thread[] = N_("choose first thread in list");
